Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class XmlNameSpace

    java.lang.Object
      |
      +--com.sun.wbem.cim.XmlNameSpace

Direct Known Subclasses:
  XmlGenericId

public class XmlNameSpace
extends java.lang.Object

Since:
  WBEM 1.0

Constructor Summary
`XmlNameSpace()`
`XmlNameSpace(java.lang.String namespec)`
`XmlNameSpace(java.lang.String namespec, java.lang.String systemspec)`
`XmlNameSpace(java.lang.String namespec, java.lang.String systemspec, java.lang.String publicid)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getPublicId()`
`java.lang.String` | `getSystemId()`
`java.lang.String` | `setName(java.lang.String newname)`
`java.lang.String` | `setPublicId(java.lang.String newpid)`
`java.lang.String` | `setSystemId(java.lang.String newsid)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlNameSpace

    public XmlNameSpace()

### XmlNameSpace

    public XmlNameSpace(java.lang.String namespec)

### XmlNameSpace

    public XmlNameSpace(java.lang.String namespec,
                        java.lang.String systemspec)

### XmlNameSpace

    public XmlNameSpace(java.lang.String namespec,
                        java.lang.String systemspec,
                        java.lang.String publicid)

Method Detail

### getName

    public java.lang.String getName()

### getPublicId

    public java.lang.String getPublicId()

### getSystemId

    public java.lang.String getSystemId()

### setName

    public java.lang.String setName(java.lang.String newname)

### setPublicId

    public java.lang.String setPublicId(java.lang.String newpid)

### setSystemId

    public java.lang.String setSystemId(java.lang.String newsid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD